
#ifndef SPECTRE_DEFAULT_RENDERER2D_H
#define SPECTRE_DEFAULT_RENDERER2D_H

#include <vector>
#include "Renderer2D.h"

class DefaultRenderer2D : public Renderer2D
{
public :

	DefaultRenderer2D();

	virtual void submit(const Renderable2D& renderable);

	virtual void render();

protected :

	std::vector<const Renderable2D*> m_queue;

	ShaderProgram m_shader;
};

#endif /*  SPECTRE_DEFAULT_RENDERER2D_H */